Subject: Re: bug#23006: 25.0.92; Loading Tramp breaks pcomplete in eshell-mode

From: Michael Albinus <[email-masked]>
Date: Sun, 20 Mar 2016 16:46:02 +0100

Stefan Monnier <[email-masked]> writes:

>>> Can you explain *your* understanding of `non-essential', then?
>>> What does this var mean, for you?
>> For Tramp, it is an indication that file name completion is in
>> progress.
>
> Huh?  Why would it need such a variable for that, instead of getting
> this info from the fact that you're replying to
> `file-name-all-completions' (or `file-name-completion') rather than to
> some other request?

Because these aren't the only file name operations being called. You
have seen it in the backtraces I've shown earlier.

> And why would it be called `non-essential' instead of `in-completion'?

I wanted to introduce `completion-only'. You have said, that it would be
too specific, and I shall use `non-essential' instead.

<http://thread.gmane.org/gmane.emacs.bugs/35968/focus=36234>

As I understand the codebase of Emacs 25, no other use of
`non-essential' has appeared since then. Six years later.

>         Stefan

Best regards, Michael.